Name:		pfstmo
Version:	1.3.2
Release:	6%{?dist}
Summary:	PFS tone mapping operators

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://pfstools.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pfstools/%{name}-%{version}.tar.gz
Patch1:		pfstmo-1.3.2-zd.patch
Patch2:		pfstmo-CXXFLAGS.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libtool
BuildRequires:	pfstools-devel
BuildRequires:	fftw-devel
BuildRequires:	gsl-devel
BuildRequires:	pkgconfig

%description
The pfstmo package contains the implementation of state-of-the-art tone
mapping operators. The motivation here is to provide an implementation of
tone mapping operators suitable for convenient processing of both static
images and animations. 

%prep
%setup -q

%patch1 -p1 -b .zd
%patch2 -p1 -b .cxxflags

autoreconf
libtoolize --automake

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README COPYING TODO NEWS AUTHORS
%{_bindir}/pfstmo_reinhard05
%{_bindir}/pfstmo_pattanaik00
%{_bindir}/pfstmo_mantiuk06
%{_bindir}/pfstmo_fattal02
%{_bindir}/pfstmo_drago03
%{_bindir}/pfstmo_reinhard02
%{_bindir}/pfstmo_durand02
%{_bindir}/pfstmo_mantiuk08
%{_mandir}/man1/pfstmo_reinhard05.1.gz
%{_mandir}/man1/pfstmo_pattanaik00.1.gz
%{_mandir}/man1/pfstmo_mantiuk06.1.gz
%{_mandir}/man1/pfstmo_fattal02.1.gz
%{_mandir}/man1/pfstmo_drago03.1.gz
%{_mandir}/man1/pfstmo_reinhard02.1.gz
%{_mandir}/man1/pfstmo_durand02.1.gz
%{_mandir}/man1/pfstmo_mantiuk08.1.gz


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 8 2009 Ulrich Drepper <drepper@redhat.com> - 1.3.2-5
- Require pkgconfig for building

* Thu Jan 8 2009 Ulrich Drepper <drepper@redhat.com> - 1.3.2-4
- Run libtoolize in spec file

* Wed Jan 7 2009 Ulrich Drepper <drepper@redhat.com> - 1.3.2-3
- Make sure debug information is generated

* Tue Jan 6 2009 Ulrich Drepper <drepper@redhat.com> - 1.3.2-2
- Add INSTALL to make install call

* Tue Jan 6 2009 Ulrich Drepper <drepper@redhat.com> - 1.3.2-1
- New upstream release 1.3.2
- Fix some packaging issues
- Minor bug fix patch added

* Tue Aug 19 2008 Ulrich Drepper <drepper@redhat.com> - 1.3-1
- Initial package.

